#include "PPMImage.h"

std::string path = CMAKE_SOURCE_DIR;

// TODO Der Grün- und Blaukanal sollen vertauscht werden.
void exercise1(const PPMImage& imageIn)
{
  PPMImage out(0, 0, 0);


  out.writePPM(path + "/output1.ppm");
}

// TODO Der Grünkanalwert soll verdoppelt werden.
void exercise2(const PPMImage& imageIn)
{
  PPMImage out(0, 0, 0);


  out.writePPM(path + "/output2.ppm");  
}

// TODO Die Farben sollen invertiert werden.
void exercise3(const PPMImage& imageIn)
{
  PPMImage out(0, 0, 0);


  out.writePPM(path + "/output3.ppm");  
}

// TODO Subtrahieren Sie die Maske vom Eingabebild.
void exercise4(const PPMImage& imageIn, const PPMImage& mask)
{
  PPMImage out(0, 0, 0);


  out.writePPM(path + "/output4.ppm");  
}

// TODO Zeichnen Sie eine grüne Linie ein.
void exercise5(const PPMImage& imageIn)
{
  PPMImage out(0, 0, 0);
  int x0 = 10;
  int y0 = 50;
  int x1 = 400;
  int y1 = 500;


  out.writePPM(path + "/output5.ppm");  
}


int main()
{
  PPMImage img(0, 0, 0);
  if (img.readPPM(path + "/Lenna.ppm"))
  {
    exercise1(img);
    exercise2(img);
    exercise3(img);

    PPMImage mask(0,0,0);
    if (mask.readPPM(path + "/Mask.ppm"))
      exercise4(img, mask);

    exercise5(img);
  }

  return 0;
}
